Skip to main content

List Solutions

GET

https://app.smartsuite.com/api/v1/solutions/

Lists all Solutions in the Workspace.

Example Request
curl -X GET https://app.smartsuite.com/api/v1/solutions/ \
-H "Authorization: Token YOUR_API_KEY" \
-H "ACCOUNT-ID: WORKSPACE_ID" \
-H "Content-Type: application/json"

Query Parameters​

ParamTypeOptionalDescription
fieldsstringYesSpecifies a field slug to include in the response. This parameter can be repeated to add multiple fields. If at least one field is specified, the response will only contain fields referenced by the fields parameter.

Request Body​

ParamTypeOptionalDescription
sortsort objectYesObject specifying sort parameters
filterfilter objectYesObject specifying filter parameters

Response Format​

array of solution objects

The permissions object has the shape described in the Permissions object: members and teams hold {entity, access} grant objects, and owners holds member Ids.

Example Response
[
{
"name": "Test 1",
"slug": "s4xfvqdr",
"logo_color": "#199A27",
"logo_icon": "yen-sign",
"description": {
"data": {},
"html": "",
"preview": ""
},
"permissions": {
"level": "all_members",
"members": [],
"teams": [],
"owners": [
"63a1f65723aaf6bcb564b1f1"
]
},
"hidden": false,
"created": "2023-06-07T21:55:52.928000Z",
"created_by": "63a1f65723aaf6bcb564b1f1",
"updated": "2023-06-07T21:56:01.999000Z",
"updated_by": "63a1f65723aaf6bcb564b1f1",
"has_demo_data": false,
"status": "in_development",
"automation_count": 0,
"records_count": 0,
"members_count": 7,
"sharing_hash": "9l5szFukYK",
"sharing_password": null,
"sharing_enabled": false,
"sharing_allow_copy": false,
"applications_count": 1,
"last_access": "2023-06-07T21:55:54.072000Z",
"id": "6480fce848b4ebb6f17a8fd1",
"delete_date": null,
"deleted_by": null,
"template": null
},
{
"name": "Test 2",
"slug": "si3vrl9o",
"logo_color": "#FF702E",
"logo_icon": "file-image",
"description": {
"data": {},
"html": "",
"preview": ""
},
"permissions": {
"level": "all_members",
"members": [],
"teams": [],
"owners": [
"63a1f65723aaf6bcb564b1f1"
]
},
"hidden": false,
"created": "2023-06-08T14:52:18.578000Z",
"created_by": "63a1f65723aaf6bcb564b1f1",
"updated": "2023-06-08T14:52:27.401000Z",
"updated_by": "63a1f65723aaf6bcb564b1f1",
"has_demo_data": false,
"status": "in_development",
"automation_count": 1,
"records_count": 6,
"members_count": 7,
"sharing_hash": "R4sf4ZchiJ",
"sharing_password": null,
"sharing_enabled": false,
"sharing_allow_copy": false,
"applications_count": 2,
"last_access": "2023-06-08T21:15:17.366000Z",
"id": "6481eb225ff4fbcabde3c3fc",
"delete_date": null,
"deleted_by": null,
"template": null
}
]